<?php

namespace App\Http\Requests\DataEntry;

use Illuminate\Foundation\Http\FormRequest;

class StorePerpetratorRequest extends FormRequest
{
    public function authorize(): bool
    {
        return auth()->check();
    }

    public function rules(): array
    {
        return [
            'id' => ['required'],
            'criminals' => ['required', 'integer', 'min:1', 'max:20'],
            'notes' => ['nullable', 'string'],
        ];
    }
}
